volumes:
  mongo-data:
    external: true
services:
  fastapi:
    environment:
      CORS_HOST: http://localhost:3000
      DATABASE_URL: mongodb://PlayPulse:PlayPulsePass@mongo
      DB_NAME: PlayPulse-DB
      SIGNING_KEY: ${SIGNING_KEY}
      WAIT_HOSTS: mongo:27017
      WAIT_BEFORE: 5
      WAIT_TIMEOUT: 60
    build:
      context: api
      dockerfile: Dockerfile.dev
    ports:
      - 8000:8000
    volumes:
      - ./api:/app

  ghi:
    image: node:lts-bullseye
    command: /bin/bash run.sh
    working_dir: /app
    volumes:
      - ./ghi:/app
    ports:
      - "3000:3000"
    environment:
      HOST_OS: ${OS}
      NODE_ENV: development
      HOST: "0.0.0.0"
      PUBLIC_URL: http://localhost:3000
      REACT_APP_API_HOST: ${REACT_APP_API_HOST}

  mongo:
    image: mongo:5
    volumes:
      - mongo-data:/data/db
    environment:
      MONGO_INITDB_ROOT_USERNAME: PlayPulse
      MONGO_INITDB_ROOT_PASSWORD: PlayPulsePass

  mongo-express:
    image: mongo-express:latest
    depends_on:
      - mongo
    ports:
      - "8081:8081"
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: PlayPulse
      ME_CONFIG_MONGODB_ADMINPASSWORD: PlayPulsePass
      ME_CONFIG_MONGODB_URL: mongodb://PlayPulse:PlayPulsePass@mongo:27017/
